StartBdsInstanceDetails

class oci.bds.models.StartBdsInstanceDetails(**kwargs)

Bases: object

The request body for starting a BDS cluster.

Methods:

__init__(**kwargs)

Initializes a new StartBdsInstanceDetails object with values from keyword arguments.

Attributes:

cluster_admin_password

Gets the cluster_admin_password of this StartBdsInstanceDetails.

secret_id

Gets the secret_id of this StartBdsInstanceDetails.

start_cluster_shape_configs

Gets the start_cluster_shape_configs of this StartBdsInstanceDetails.

__init__(**kwargs)

Initializes a new StartBdsInstanceDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • cluster_admin_password (str) – The value to assign to the cluster_admin_password property of this StartBdsInstanceDetails.

  • secret_id (str) – The value to assign to the secret_id property of this StartBdsInstanceDetails.

  • start_cluster_shape_configs (oci.bds.models.StartClusterShapeConfigs) – The value to assign to the start_cluster_shape_configs property of this StartBdsInstanceDetails.

property cluster_admin_password

Gets the cluster_admin_password of this StartBdsInstanceDetails. Base-64 encoded password for the cluster admin user.

Returns

The cluster_admin_password of this StartBdsInstanceDetails.

Return type

str

property secret_id

Gets the secret_id of this StartBdsInstanceDetails. The secretId for the clusterAdminPassword.

Returns

The secret_id of this StartBdsInstanceDetails.

Return type

str

property start_cluster_shape_configs

Gets the start_cluster_shape_configs of this StartBdsInstanceDetails.

Returns

The start_cluster_shape_configs of this StartBdsInstanceDetails.

Return type

oci.bds.models.StartClusterShapeConfigs